Index: scripts/unify-sources.sh
===================================================================
--- scripts/unify-sources.sh	(revision 337)
+++ scripts/unify-sources.sh	(revision 340)
@@ -66,5 +66,5 @@
 function update_done() {
     echo $CHANGED_FILES out of $TOTAL_FILES files has been changed.
-    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
+    echo $WARNED_FILES out of $TOTAL_FILES files has been warned.
 }
 
@@ -108,5 +108,5 @@
 function check_done() {
     echo $FAILED_FILES out of $TOTAL_FILES files has been failed.
-    echo $WARNED_FILES out of $TOTAL_FILES files triggered warnings.
+    echo $WARNED_FILES out of $TOTAL_FILES files has been warned.
 
     if [ $FAILED_FILES -gt 0 ]
@@ -117,5 +117,5 @@
 	if [ "$WARNING" == 'INTERACTIVE' ]
 	then
-	    echo -n "Are the files with warnings acceptable? (yes/no) "
+	    echo -n "Assume as normal behaviour? (yes/no) "
 	    while read answer
 	    do
@@ -127,5 +127,5 @@
 		    return 1
 		fi
-		echo -n "Are the files with warnings acceptable? (yes/no) "
+		echo -n "Assume as normal behaviour? (yes/no) "		    
 	    done
 	elif [ "$WARNING" == 'WERROR' ]
@@ -213,5 +213,5 @@
     cat $1 | sed -e 's/ \+$//g' >$TMP_FILE
 
-    "$ACTION"_action "$TMP_FILE" "$1" 'spaces'
+    "$ACTION"_action "$TMP_FILE" "$1" 'trailing spaces'
 }
 
@@ -226,5 +226,5 @@
 
 function process_file() {
-    echo -n "    $ACTION " $1...
+    echo -n "    $ACTION $1..."
 
     CHECKING="header tabs spaces long_lines"
@@ -258,21 +258,22 @@
 Options:
   --dry-run|-n
-     Check the files, but do not modify them.
+     Check the given files, but do not modify them.
   --interactive|-i
-     If --dry-run is specified and the checker emits warnings,
-     then the user is asked if the warnings should be considered
-     errors.
+     If --dry-run is specified and files are warned, then a message is
+     prompted whether the warnings should be turned to errors.
   --werror|-w
-     Make all warnings into errors.
+     If --dry-run is specified, the warnings are turned to errors.
   --all|-a
-     All files in the repository will be checked.
+     Check all source files in the repository.
   --modified|-m
-     Check only the modified (and new) source files. This option is
-     useful to check the modification before making a commit.
+     Check only the modified source files. This option is proper to
+     use before a commit. E.g. all files which are modified or added
+     into the repository will be updated.
   --changed|-c
      Check only the changed source files compared to the parent(s) of
-     the current hg node.  This option is useful as hg hook script.
-     To automatically check all your changes before making a commit,
-     add the following section to the appropriate .hg/hgrc file.
+     the current hg node.  This option is proper to use as hg hook
+     script. E.g. to check all your commited source files with this
+     script add the following section to the appropriate .hg/hgrc
+     file.
 
        [hooks]
@@ -282,34 +283,34 @@
      Print this help message.
   files
-     The files to check/unify. If no file names are given, the
-     modified source will be checked/unified
-
+     The files to check/unify. If no file names are given, the modified
+     source files will be checked/unified (just like using the
+     --modified|-m option).
 "
         exit 0
     elif [ "$1" == '--dry-run' ] || [ "$1" == '-n' ]
     then
-	[ -n "$ACTION" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$ACTION" ] && echo "Conflicting action options" >&2 && exit 1
 	ACTION=check
     elif [ "$1" == "--all" ] || [ "$1" == '-a' ]
     then
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
 	FILES=all_files
     elif [ "$1" == "--changed" ] || [ "$1" == '-c' ]
     then
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
 	FILES=changed_files
     elif [ "$1" == "--modified" ] || [ "$1" == '-m' ]
     then
-	[ -n "$FILES" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$FILES" ] && echo "Conflicting target options" >&2 && exit 1
 	FILES=modified_files
     elif [ "$1" == "--interactive" ] || [ "$1" == "-i" ]
     then
-	[ -n "$WARNING" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
 	WARNING='INTERACTIVE'
     elif [ "$1" == "--werror" ] || [ "$1" == "-w" ]
     then
-	[ -n "$WARNING" ] && echo "Invalid option $1" >&2 && exit 1
+	[ -n "$WARNING" ] && echo "Conflicting warning options" >&2 && exit 1
 	WARNING='WERROR'
-    elif [ $(echo $1 | cut -c 1) == '-' ]
+    elif [ $(echo x$1 | cut -c 2) == '-' ]
     then
 	echo "Invalid option $1" >&2 && exit 1
